{"title":"Get employees","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_employee_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_employee_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_employee_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets an employee object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":86,"chars":208},{"level":2,"title":"Request headers","slug":"request-headers","at":294,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":366,"chars":61},{"level":2,"title":"Response","slug":"response","at":427,"chars":1132},{"level":2,"title":"Related information","slug":"related-information","at":1559,"chars":204}],"text":"Retrieve the properties and relationships of an employee object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/employees({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an employees object in the response body.\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/employees({id})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"258bb9c0-44e3-ea11-bb43-000d3a2feca1\",\n    \"number\": \"AH\",\n    \"displayName\": \"Annette Hill\",\n    \"givenName\": \"Annette\",\n    \"middleName\": \"\",\n    \"surname\": \"Hill\",\n    \"jobTitle\": \"Secretary\",\n    \"addressLine1\": \"677 Fifth Avenue\",\n    \"addressLine2\": \"\",\n    \"city\": \"\",\n    \"state\": \"\",\n    \"country\": \"\",\n    \"postalCode\": \"\",\n    \"phoneNumber\": \"4465-4899-4643\",\n    \"mobilePhone\": \"4564-4564-7831\",\n    \"email\": \"\",\n    \"personalEmail\": \"ah@contoso.com\",\n    \"employmentDate\": \"2001-06-01\",\n    \"terminationDate\": \"0001-01-01\",\n    \"status\": \"Active\",\n    \"birthDate\": \"1973-12-12\",\n    \"statisticsGroupCode\": \"\",\n    \"lastModifiedDateTime\": \"2020-08-21T00:25:17.623Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_employee\ndynamics_employee_delete\ndynamics_employee_create\ndynamics_employee_update"}